FtpFs (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.ftp, class: FtpFs

Package org.apache.hadoop.fs.ftp

# Class FtpFs

java.lang.Object
org.apache.hadoop.fs.AbstractFileSystem
org.apache.hadoop.fs.DelegateToFileSystem
org.apache.hadoop.fs.ftp.FtpFs

All Implemented Interfaces:
  `PathCapabilities`

@Private @Evolving public class FtpFs extends DelegateToFileSystem
The FtpFs implementation of AbstractFileSystem. This impl delegates to the old FileSystem

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.fs.DelegateToFileSystem

  `fsImpl`

  ### Fields inherited from class org.apache.hadoop.fs.AbstractFileSystem

  `statistics`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FsServerDefaults`
  `getServerDefaults()`
  Deprecated.
  `FsServerDefaults`
  `getServerDefaults(Path f)`
  Return a set of server default configuration values based on path.
  `int`
  `getUriDefaultPort()`
  The default port of this file system.

  ### Methods inherited from class org.apache.hadoop.fs.DelegateToFileSystem

  `createInternal, createSymlink, delete, getCanonicalServiceName, getDelegationTokens, getFileBlockLocations, getFileChecksum, getFileLinkStatus, getFileStatus, getFsStatus, getFsStatus, getHomeDirectory, getInitialWorkingDirectory, getLinkTarget, hasPathCapability, listStatus, mkdir, open, openFileWithOptions, renameInternal, setOwner, setPermission, setReplication, setTimes, setVerifyChecksum, supportsSymlinks, truncate`

  ### Methods inherited from class org.apache.hadoop.fs.AbstractFileSystem

  `access, checkPath, checkScheme, clearStatistics, create, createFileSystem, createMultipartUploader, createSnapshot, deleteSnapshot, equals, get, getAclStatus, getAllStatistics, getAllStoragePolicies, getEnclosingRoot, getStatistics, getStatistics, getStoragePolicy, getUri, getUriPath, getXAttr, getXAttrs, getXAttrs, hashCode, isValidName, listCorruptFileBlocks, listLocatedStatus, listStatusIterator, listXAttrs, makeQualified, methodNotSupported, modifyAclEntries, msync, open, printStatistics, removeAcl, removeAclEntries, removeDefaultAcl, removeXAttr, rename, renameInternal, renameSnapshot, resolvePath, satisfyStoragePolicy, setAcl, setStoragePolicy, setXAttr, setXAttr, unsetStoragePolicy`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getUriDefaultPort

    public int getUriDefaultPort()
    Description copied from class: `AbstractFileSystem`
    The default port of this file system.
    Overrides:
      `getUriDefaultPort` in class `DelegateToFileSystem`
    Returns:
      default port of this file system's Uri scheme A uri with a port of -1 => default port;

  - ### getServerDefaults

    @Deprecated public FsServerDefaults getServerDefaults() throws IOException
    Deprecated.
    Description copied from class: `AbstractFileSystem`
    Return a set of server default configuration values.
    Overrides:
      `getServerDefaults` in class `DelegateToFileSystem`
    Returns:
      server default configuration values
    Throws:
      `IOException` - an I/O error occurred

  - ### getServerDefaults

    public FsServerDefaults getServerDefaults(Path f) throws IOException
    Description copied from class: `AbstractFileSystem`
    Return a set of server default configuration values based on path.
    Overrides:
      `getServerDefaults` in class `DelegateToFileSystem`
    Parameters:
      `f` - path to fetch server defaults
    Returns:
      server default configuration values for path
    Throws:
      `IOException` - an I/O error occurred